> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update seller payout config

> Create the seller payout configuration for the marketplace store, or update the existing configuration.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /orders/payouts/config
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/payouts/config:
    parameters: []
    post:
      tags:
        - Payouts
      summary: Create or update seller payout config
      description: >-
        Create the seller payout configuration for the marketplace store, or
        update the existing configuration.
      operationId: upsert-seller-payout-config
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerPayoutConfigRequest'
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      payout_config:
                        $ref: '#/components/schemas/SellerPayoutConfig'
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    SellerPayoutConfigRequest:
      title: SellerPayoutConfigRequest
      type: object
      required:
        - seller_id
        - commission_fixed_amount
        - commission_percent
        - commission_type
        - hold_period_days
        - include_shipping_in_payout
        - include_tax_in_payout
        - minimum_payout_amount
      properties:
        seller_id:
          description: Seller ID for which the payout config is being created.
          type: string
        commission_fixed_amount:
          description: >-
            Required to be greater than 0 when commission_type is fixed or
            percent_plus_fixed.
          type: number
        commission_percent:
          description: >-
            Required to be greater than 0 when commission_type is percent or
            percent_plus_fixed.
          type: number
        commission_type:
          type: string
          enum:
            - percent
            - fixed
            - percent_plus_fixed
        hold_period_days:
          type: integer
        include_shipping_in_payout:
          type: boolean
        include_tax_in_payout:
          type: boolean
        minimum_payout_amount:
          type: number
        tds_percent:
          type: number
        tcs_percent:
          type: number
      x-tags:
        - Payouts
    SellerPayoutConfig:
      title: SellerPayoutConfig
      type: object
      properties:
        seller_id:
          type: string
        seller_details:
          $ref: '#/components/schemas/SellerInfo'
        commission_fixed_amount:
          type: number
        commission_percent:
          type: number
          maximum: 100
          minimum: 0
        commission_type:
          type: string
          enum:
            - percent
            - fixed
            - percent_plus_fixed
        created_at:
          type: string
          format: date-time
        hold_period_days:
          type: integer
        include_shipping_in_payout:
          type: boolean
        include_tax_in_payout:
          type: boolean
        tcs_percent:
          type: number
        tds_percent:
          type: number
        minimum_payout_amount:
          type: number
        modified_at:
          type: string
          format: date-time
        store_id:
          type: string
        ulid:
          type: string
      x-tags:
        - Payouts
    SellerInfo:
      title: SellerInfo
      type: object
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          $ref: '#/components/schemas/SellerBusinessType'
        tax_identification_number:
          type: string
        status:
          $ref: '#/components/schemas/SellerAccountStatus'
        kyc_status:
          $ref: '#/components/schemas/SellerKycStatus'
        visibility:
          description: >-
            Visibility of the products of the seller. public: products are
            visible to all users, private: products are visible to only
            authenticated users.
          type: string
          enum:
            - public
            - private
        logo:
          type:
            - string
            - 'null'
    SellerBusinessType:
      title: SellerBusinessType
      type: string
      enum:
        - sole_proprietorship
        - private_limited
        - public_listed
        - public_limited
        - state_owned
        - charity
        - individual
    SellerAccountStatus:
      title: SellerAccountStatus
      type: string
      enum:
        - pending_approval
        - approved
        - rejected
    SellerKycStatus:
      title: SellerKycStatus
      type: string
      enum:
        - document_pending
        - document_submitted
        - approved
        - rejected
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
                properties:
                  fieldname:
                    type: array
                    items:
                      type: string
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````